%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-font-viewer
Version:	3.10.0
Release:	%mkrel 2
Summary:	GNOME Font viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream/fedora
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
Conflicts:	gnome-utils < 1:3.3.1
Conflicts:	gnome-control-center < 3.0.2

%description
Font viewer for Gnome desktop.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-rpath \
	--disable-schemas-compile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/thumbnailers/gnome-font-viewer.thumbnailer
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536690
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485337
- new version 3.10.0
- dropped merged patch 1

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474376
- Rebuild against new gnome-desktop3

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472187
- fix build by fixing bad desktop file
- fix build by fixing bad desktop file

  + fwang <fwang>
    - bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Fri May 24 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 426677
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 327053
- new version 3.6.2

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317511
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297135
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295602
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288089
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282548
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271503
- new version 3.5.4

* Sun Jul 15 2012 fwang <fwang> 3.5.3-2.mga3
+ Revision: 270962
- rebuild for new gnome-desktop

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263715
- update buildrequires
- new version 3.5.3

* Sun Apr 01 2012 pterjan <pterjan> 3.4.0-2.mga2
+ Revision: 227627
- Add missing conflict breaking update from 1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226668
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224454
- new version 3.3.92

* Sat Oct 29 2011 wally <wally> 3.3.2.1-1.mga2
+ Revision: 159571
- imported package gnome-font-viewer

